--- cupsd.conf~	2013-12-02 12:33:22.000000000 +0400
+++ cupsd.conf	2014-03-16 01:12:19.000000000 +0400
@@ -1,5 +1,4 @@
 #
-# "$Id: cupsd.conf.in 10710 2012-11-26 18:26:01Z mike $"
 #
 # Sample configuration file for the CUPS scheduler.  See "man cupsd.conf" for a
 # complete description of this file.
@@ -9,6 +8,10 @@
 # for troubleshooting...
 LogLevel warn
 
+# Deactivate CUPS' internal logrotating, as we provide a better one, especially
+# LogLevel debug2 gets usable now
+MaxLogSize 0
+
 # Only listen for connections from the local machine.
 Listen localhost:631
 Listen /var/run/cups/cups.sock
@@ -26,14 +29,11 @@
 # Restrict access to the server...
 <Location />
   Order allow,deny
-  Allow From 127.0.0.1
-  Allow From All
 </Location>
 
 # Restrict access to the admin pages...
 <Location /admin>
   Order allow,deny
-  Allow From 127.0.0.1
 </Location>
 
 # Restrict access to configuration files...
@@ -53,15 +53,12 @@
 
   # Job-related operations must be done by the owner or an administrator...
   <Limit Create-Job Print-Job Print-URI Validate-Job>
-    Require user @OWNER @SYSTEM
     Order deny,allow
-    Allow From All
   </Limit>
 
   <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
     Require user @OWNER @SYSTEM
     Order deny,allow
-    Allow From All
   </Limit>
 
   # All administration operations require an administrator to authenticate...
@@ -69,7 +66,6 @@
     AuthType Default
     Require user @SYSTEM
     Order deny,allow
-    Allow From All
   </Limit>
 
   # All printer operations require a printer operator to authenticate...
@@ -77,14 +73,12 @@
     AuthType Default
     Require user @SYSTEM
     Order deny,allow
-    Allow From All
   </Limit>
 
   # Only the owner or an administrator can cancel or authenticate a job...
   <Limit Cancel-Job CUPS-Authenticate-Job>
     Require user @OWNER @SYSTEM
     Order deny,allow
-    Allow From All
   </Limit>
 
   <Limit All>
@@ -103,14 +97,12 @@
   # Job-related operations must be done by the owner or an administrator...
   <Limit Create-Job Print-Job Print-URI Validate-Job>
     AuthType Default
-    Allow From All
     Order deny,allow
   </Limit>
 
   <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
     AuthType Default
     Require user @OWNER @SYSTEM
-    Allow From All
     Order deny,allow
   </Limit>
 
@@ -118,7 +110,6 @@
   <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
     AuthType Default
     Require user @SYSTEM
-    Allow From All
     Order deny,allow
   </Limit>
 
@@ -126,7 +117,6 @@
   <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
     AuthType Default
     Require user @SYSTEM
-    Allow From All
     Order deny,allow
   </Limit>
 
@@ -134,7 +124,6 @@
   <Limit Cancel-Job CUPS-Authenticate-Job>
     AuthType Default
     Require user @OWNER @SYSTEM
-    Allow From All
     Order deny,allow
   </Limit>
 
@@ -144,5 +133,4 @@
 </Policy>
 
 #
-# End of "$Id: cupsd.conf.in 10710 2012-11-26 18:26:01Z mike $".
 #
